Bug 1119663 - nmtui exit with assertion failed
Summary: nmtui exit with assertion failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jirka Klimes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1197203
TreeView+ depends on / blocked
 
Reported: 2014-07-15 09:05 UTC by Miroslav Suchý
Modified: 2016-01-04 06:04 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.0.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1197203 (view as bug list)
Environment:
Last Closed: 2015-05-11 19:04:25 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2014-07-15 09:05:53 UTC
Description of problem:
If you delete all connections in nmtui and then select 'Activate a connection', then nmtui exit with non-friendly error message.

Version-Release number of selected component (if applicable):
NetworkManager-0.9.10.0-1.git20140704.fc21

How reproducible:
always

Steps to Reproduce:
1. nmtui
2. Edit a connection
3. delete all connections there
4. Exit nmtui
5. start nmtui again
6. select 'Activate a connections'

Actual results:
nmtui:ERROR:nmt-newt-listbox.c:333:update_active_internal: assertion failed: (priv->active >= 0 && priv->active < priv->entries->len)
Aborted

And end with ncurses dialog still drawn in screen, which looks pretty ugly.


Expected results:
Either clear screen and write nice error message.
Or show dialog with empty list of connections to activate. (I prefer this one)

Comment 1 Wade Mealing 2015-02-19 04:30:56 UTC
Getting the same, el7

NetworkManager-0.9.9.1-13.git20140326.4dba720.el7.x86_64

Comment 2 Wade Mealing 2015-02-19 04:36:01 UTC
My problem may be related to this being a cloned virtual host.. mac address duplication or mismatch perhaps.

Comment 3 Jirka Klimes 2015-02-27 22:10:54 UTC
The bug has been fixed upstream:
master: 5aa204e tui: fix a crash when connection list for activation is empty (rh #1119663)
nm-0-9-10: 5e621c4 tui: fix a crash when connection list for activation is empty (rh #1119663)

We will push the fix to Fedora in a next build.

Comment 4 Fedora Update System 2015-05-05 13:13:38 UTC
NetworkManager-1.0.2-1.fc22,network-manager-applet-1.0.2-1.fc22,NetworkManager-openconnect-1.0.2-1.fc22,NetworkManager-openvpn-1.0.2-1.fc22,NetworkManager-vpnc-1.0.2-1.fc22,NetworkManager-openswan-1.0.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/NetworkManager-1.0.2-1.fc22,network-manager-applet-1.0.2-1.fc22,NetworkManager-openconnect-1.0.2-1.fc22,NetworkManager-openvpn-1.0.2-1.fc22,NetworkManager-vpnc-1.0.2-1.fc22,NetworkManager-openswan-1.0.2-1.fc22

Comment 5 Lubomir Rintel 2015-05-06 09:22:59 UTC
This is fixed in 0.9.10.2, and thus has been pushed to Fedora 21 already.

Comment 6 Fedora Update System 2015-05-10 23:50:35 UTC
Package NetworkManager-1.0.2-1.fc22, NetworkManager-openconnect-1.0.2-1.fc22, NetworkManager-vpnc-1.0.2-1.fc22, network-manager-applet-1.0.2-1.fc22, NetworkManager-openvpn-1.0.2-1.fc22, NetworkManager-openswan-1.0.2-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-1.0.2-1.fc22 NetworkManager-openconnect-1.0.2-1.fc22 NetworkManager-vpnc-1.0.2-1.fc22 network-manager-applet-1.0.2-1.fc22 NetworkManager-openvpn-1.0.2-1.fc22 NetworkManager-openswan-1.0.2-1.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7767/NetworkManager-1.0.2-1.fc22,network-manager-applet-1.0.2-1.fc22,NetworkManager-openconnect-1.0.2-1.fc22,NetworkManager-openvpn-1.0.2-1.fc22,NetworkManager-vpnc-1.0.2-1.fc22,NetworkManager-openswan-1.0.2-1.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-05-11 19:04:25 UTC
NetworkManager-1.0.2-1.fc22, NetworkManager-openconnect-1.0.2-1.fc22, NetworkManager-vpnc-1.0.2-1.fc22, network-manager-applet-1.0.2-1.fc22, NetworkManager-openvpn-1.0.2-1.fc22, NetworkManager-openswan-1.0.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.